<p align="center">
  <img src="images/gleam-logo-readme.png" alt="Gleam logo">
</p>

<p align="center">
  <a href="https://github.com/gleam-lang/gleam/releases"><img src="https://img.shields.io/github/release/gleam-lang/gleam" alt="GitHub release"></a>
  <a href="https://discord.gg/Fm8Pwmy"><img src="https://img.shields.io/discord/768594524158427167?color=blue" alt="Discord chat"></a>
  <a><img src="https://github.com/gleam-lang/gleam/workflows/ci/badge.svg?branch=main"></a>
  <a href="https://gitpod.io/#https://github.com/gleam-lang/gleam"><img src="https://img.shields.io/badge/Gitpod-ready--to--code-blue?logo=gitpod"></a>
</p>


<!-- A spacer -->
<div>&nbsp;</div>

Gleam is a friendly language for building type-safe, scalable systems!

It compiles to [Erlang](http://www.erlang.org/) (or JavaScript) and has straightforward interop
with other BEAM languages such as Erlang, Elixir, and LFE.

For more information see the Gleam website: [https://gleam.run](https://gleam.run).

## Sponsors

Gleam is kindly supported by its sponsors. If you would like to support Gleam
please consider sponsoring its development [on GitHub](https://github.com/sponsors/lpil).

Thank you to our sponsors! Gleam would not be possible without you.

<center>
  <a href="https://fly.io/"><img width=250 src="https://gleam.run/images/sponsors/fly.svg" alt="Fly.io"></a>
</center>

<!-- Below this line this file is autogenerated -->

 - [Aaron Gunderson](https://github.com/agundy)
 - [Adam Brodzinski](https://github.com/AdamBrodzinski)
 - [Adam Mokan](https://github.com/amokan)
 - [Adi Iyengar](https://github.com/thebugcatcher)
 - [Alembic](https://alembic.com.au)
 - [Alex Manning](https://github.com/rawhat)
 - [Alexander Koutmos](https://github.com/akoutmos)
 - [Alexander Stensrud](https://github.com/spektroskop)
 - [Alexandre Del Vecchio](https://github.com/defgenx)
 - [Andy Aylward](https://github.com/aaylward)
 - [Anthony Khong](https://github.com/anthony-khong)
 - [Anthony Scotti](https://github.com/amscotti)
 - [Arnaud Berthomier](https://github.com/oz)
 - [Arut Jinadit](https://github.com/arut-ji)
 - [Barry Moore](https://github.com/chiroptical)
 - [Ben Marx](https://github.com/bgmarx)
 - [Ben Myles](https://github.com/benmyles)
 - [Benjamin Peinhardt](https://github.com/bcpeinhardt)
 - [brettkolodny](https://github.com/brettkolodny)
 - [Brian Glusman](https://github.com/bglusman)
 - [Bruno Michel](https://github.com/nono)
 - [Carlos Saltos](https://github.com/csaltos)
 - [Chew Choon Keat](https://github.com/choonkeat)
 - [Chris Lloyd](https://github.com/chrislloyd)
 - [Chris Ohk](https://github.com/utilForever)
 - [Chris Rybicki](https://github.com/Chriscbr)
 - [Christopher Dieringer](https://github.com/cdaringe)
 - [Christopher Keele](https://github.com/christhekeele)
 - [clangley](https://github.com/clangley)
 - [Clay](https://github.com/connorlay)
 - [Coder](https://github.com/coder)
 - [Cole Lawrence](https://github.com/colelawrence)
 - [Colin](https://github.com/insanitybit)
 - [Cristine Guadelupe](https://github.com/cristineguadelupe)
 - [Damir Vandic](https://github.com/dvic)
 - [Dan Dresselhaus](https://github.com/ddresselhaus)
 - [Danielle Maywood](https://github.com/DanielleMaywood)
 - [Danny Martini](https://github.com/despairblue)
 - [Dave Lucia](https://github.com/davydog187)
 - [David Bernheisel](https://github.com/dbernheisel)
 - [David Flanagan](https://github.com/rawkode)
 - [David Sancho](https://github.com/davesnx)
 - [Dillon Mulroy](https://github.com/dmmulroy)
 - [Dmitry Poroh](https://github.com/poroh)
 - [Edon Gashi](https://github.com/edongashi)
 - [Elliott Pogue](https://github.com/epogue)
 - [Emma](https://github.com/Emma-Fuller)
 - [Erik Terpstra](https://github.com/eterps)
 - [Ernesto Malave](https://github.com/oberernst)
 - [F. Schwalbe](https://github.com/fschwalbe)
 - [Fernando Farias](https://github.com/nandofarias)
 - [Filip Figiel](https://github.com/megapctr)
 - [Florian Kraft](https://github.com/floriank)
 - [fly.io](https://github.com/superfly)
 - [Giacomo Cavalieri](https://github.com/giacomocavalieri)
 - [Graeme Coupar](https://github.com/obmarg)
 - [Guilherme de Maio](https://github.com/nirev)
 - [Gustavo Villa](https://github.com/gfvcastro)
 - [Hayleigh Thompson](https://github.com/hayleigh-dot-dev)
 - [Hazel Bachrach](https://github.com/hibachrach)
 - [Henry Warren](https://github.com/henrysdev)
 - [Hex](https://github.com/hexpm)
 - [human154](https://github.com/human154)
 - [Ian González](https://github.com/Ian-GL)
 - [inoas](https://github.com/inoas)
 - [Ivar Vong](https://github.com/ivarvong)
 - [James Birtles](https://github.com/jamesbirtles)
 - [James MacAulay](https://github.com/jamesmacaulay)
 - [Jan Skriver Sørensen](https://github.com/monzool)
 - [Jen Stehlik](https://github.com/okkdev)
 - [jiangplus](https://github.com/jiangplus)
 - [Joey Kilpatrick](https://github.com/joeykilpatrick)
 - [John Björk](https://github.com/JohnBjrk)
 - [John Palgut](https://github.com/Jwsonic)
 - [Jonas Hedman Engström](https://github.com/JonasHedEng)
 - [Josef Richter](https://github.com/josefrichter)
 - [Julian Schurhammer](https://github.com/schurhammer)
 - [Kayla Washburn-Love](https://github.com/aslilac)
 - [Kieran Gill](https://github.com/kierangilliam)
 - [Lars Wikman](https://github.com/lawik)
 - [Leon Qadirie](https://github.com/leonqadirie)
 - [lidashuang](https://github.com/defp)
 - [Manuel Rubio](https://github.com/manuel-rubio)
 - [Marcøs](https://github.com/ideaMarcos)
 - [Marius Kalvø](https://github.com/mariuskalvo)
 - [Mark Holmes](https://github.com/markholmes)
 - [Mark Markaryan](https://github.com/markmark206)
 - [Markus](https://github.com/markusfeyh)
 - [Martin Janiczek](https://github.com/Janiczek)
 - [Matt Van Horn](https://github.com/mattvanhorn)
 - [matt-savvy](https://github.com/matt-savvy)
 - [Matthias Benkort](https://github.com/KtorZ)
 - [max-tern](https://github.com/max-tern)
 - [Michael Duffy](https://github.com/stunthamster)
 - [Michael Jones](https://github.com/michaeljones)
 - [Mike Roach](https://github.com/mroach)
 - [Natanael Sirqueira](https://github.com/natanaelsirqueira)
 - [Nathaniel Knight](https://github.com/nathanielknight)
 - [NFIBrokerage](https://github.com/NFIBrokerage)
 - [Nick Reynolds](https://github.com/ndreynolds)
 - [Nicklas Sindlev Andersen](https://github.com/NicklasXYZ)
 - [NineFX](http://www.ninefx.com)
 - [Noah Betzen](https://github.com/Nezteb)
 - [Ocean Armstrong Lewis](https://github.com/oceanlewis)
 - [OldhamMade](https://github.com/OldhamMade)
 - [Ole Michaelis](https://github.com/OleMchls)
 - [Paul Gideon Dann](https://github.com/giddie)
 - [Paul Guse](https://github.com/pguse)
 - [Pete Jodo](https://github.com/petejodo)
 - [Philip Giuliani](https://github.com/philipgiuliani)
 - [Prashant Singh Pawar](https://github.com/prashantpawar)
 - [Praveen Perera](https://github.com/praveenperera)
 - [qingliangcn](https://github.com/qingliangcn)
 - [Raúl Chouza ](https://github.com/chouzar)
 - [Redmar Kerkhoff](https://github.com/redmar)
 - [Rico Leuthold](https://github.com/rico)
 - [Robert Attard](https://github.com/TanklesXL)
 - [Robert Ellen](https://github.com/rellen)
 - [Ryan Ponce](https://github.com/ryanponce)
 - [Sam Aaron](https://github.com/samaaron)
 - [Sammy Isseyegh](https://github.com/bkspace)
 - [Saša Jurić](https://github.com/sasa1977)
 - [Scott Wey](https://github.com/scottwey)
 - [Sean Jensen-Grey](https://github.com/seanjensengrey)
 - [Sebastian Porto](https://github.com/sporto)
 - [SEKUN](https://github.com/sekunho)
 - [Seve Salazar](https://github.com/tehprofessor)
 - [Shuqian Hon](https://github.com/honsq90)
 - [Signal Insights](https://github.com/signalinsights)
 - [Simone Vittori](https://github.com/simonewebdesign)
 - [Szymon Wygnański](https://github.com/finalclass)
 - [Theo Harris](https://github.com/Theosaurus-Rex)
 - [Timo Sulg](https://github.com/timgluz)
 - [Tomasz Kowal](https://github.com/tomekowal)
 - [Tristan de Cacqueray](https://github.com/TristanCacqueray)
 - [Tristan Sloughter](https://github.com/tsloughter)
 - [Weizheng Liu](https://github.com/weizhliu)
 - [Willyboar](https://github.com/Willyboar)
 - [Wilson Silva](https://github.com/wilsonsilva)
 - [Xetera](https://github.com/Xetera)
 - [xhh](https://github.com/xhh)
 - [Yasuo Higano](https://github.com/Yasuo-Higano)
 - [Yu Matsuzawa](https://github.com/ymtszw)
 - [Zsombor Gasparin](https://github.com/gasparinzsombor)
 - [Šárka Slavětínská](https://github.com/sarkasl)
